#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: conv_coord.tcl 194234 2010-01-28 05:02:47Z pbaksai $"
#
# who       when        what
# --------  ----------  --------------------------------------------------------
# pbaksai   2010/01/24  Added tracing
# pbaksai   2009/06/06  Updated
# W.Hummel  04.Mar.99   Created 
#
#*******************************************************************************
#   NAME             
#   CONV_COORD - Tcl class           
# 
#   NAMESPACE
#       fors
#
#   SYNOPSIS         
#       CONV_COORD image ?-eqx <equinox>?
#       
#   PARENT CLASS
#       CONV_MC
#       CONV_WC
#
#   DESCRIPTION      
#       Handling of coordinate conversion. This class simply 
#       collects the two parent classes CONV_WC and CONV_MC 
#       to be used by the FORS class.   
#
#   OPTIONS
#
#   PUBLIC METHODS
#
#   PUBLIC DATA MEMBERS
#       eqx         2000.0
#       m_canvas,m_image  
#
#   PROTECTED METHODS
#
#   PROTECTED DATA MEMBERS
#
#   PRIVATE METHODS
#
#   PRIVATE DATA MEMBERS
#
#   COMMANDS
#       CONV_COORD C_conv_coord {m_image equinox} 
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#-------------------------------------------------------------------------------
#        1         2         3         4         5         6         7         8
#23456789 123456789 123456789 123456789 123456789 123456789 123456789 1234567890
#
itk::usual FORS {}

namespace eval fors {

class CONV_COORD {
       
inherit CONV_MC CONV_WC 

constructor { args } {
    tracer ENTERING " of $this"
    eval configure $args
    tracer LEAVING "end of $this"
}

destructor {
    tracer ENTERING " of $this"
    tracer LEAVING "end of $this"
}


}
# end of the class CONV_COORD 

}
# end of namespace

# fors::CONV_COORDS                
#
#___oOo___
