#*******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: fims_version.tcl 257795 2014-07-28 14:28:30Z pbaksai $"
#
# who       when        what
# --------  ----------  --------------------------------------------------------
# pbaksai   2014/07/25  CCB-000579: Support for 64 bits and portability.
#                       - Adjusted to new product package structure.
# pbaksai   2012/11/01  PPRS-23355: Updated for new product package structure
#                       - File FIMSROOT/svninfo.txt moved to
#                              FIMSROOT/doc/fims_svn.txt
# pbaksai   2012/09/22  PPRS-23355: Updated for new product package structure
#                       - Files in FIMSROOT/lib/fors moved to FIMSROOT/config
# pbaksai   2011/11/16  Updated for SVN versioning
# mkiekebu  2004/06/14  Fixed problem with dialog windows (RH9.0)
# aaguayo   12/12/00    If branch <39 && >0 return 0 (not a '1'). This means
#		        that upt to 40 days before the deadline the fims user 
#		        will be warned but he/she can still save files.  
# hummel    13/08/99    Created
#
#*******************************************************************************
#   NAME
# 
#   SYNOPSIS
# 
#   DESCRIPTION
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#-------------------------------------------------------------------------------
#        1         2         3         4         5         6         7         8
#23456789 123456789 123456789 123456789 123456789 123456789 123456789 1234567890
#
#---------------------
proc fims_version {} { 
#---------------------
    # this proc reads its own source code and 
    # processes its 4th line 
    # result is version number, day, and time 
    global env

    # set infile $env(FIMSROOT)/lib/libfimsPlugins.tcl/fims_version.tcl
    set infile $env(FIMSROOT)/../doc/fims_svn.txt
    if { [file exists $infile] & [file readable $infile] } {
        set fileId [open $infile r]
        while { [gets $fileId line_org] >= 0 } {
            if { [string match "*Last Changed Rev:*" $line_org] } {
                set rev [lindex $line_org [expr {[lsearch -exact $line_org "Rev:"] + 1}]]
                set day [lindex $line_org [expr {[lsearch -exact $line_org "Date:"] + 1}]]
                set tim [lindex $line_org [expr {[lsearch -exact $line_org "Date:"] + 2}]]
                return [list $rev $day $tim]
            }
        }
    }
    return [list 000000 0000-00-00 00:00:00]
}

#--------------------
proc expire_date {} {
#--------------------
    global env

    set infile $env(FIMSROOT)/../config/fims_deadline.asc
    # load the expiration date file 
    if { [file exists $infile] & [file readable $infile] } {
        set fileId [open $infile r]
        while { [gets $fileId line_org] >= 0 } {    
            set days_after_01012000 $line_org
            puts stdout $days_after_01012000
        }
    } else {
        # file not found
        puts stdout "problems with fims_deadline.asc"
        set days_after_01012000 1
    }

    set today [expr ([exec date -u +%Y] - 2000)*365 + [string trimleft [exec date -u +%j] "0"]]

    if { [expr $days_after_01012000-$today] < 39 && 
         [expr $days_after_01012000-$today] > 0} {
        info_dialog "FIMS V[lindex [eval fims_version] 0] will \n\n expire in [expr $days_after_01012000-$today] days" .skycat1
        return 0
    }

    if { [expr $days_after_01012000-$today] < 0 } {
        info_dialog "FIMS V[lindex [eval fims_version] 0] \n\n\is expired" .skycat1
        return 1
    }

    return 0
}

#
#___oOo___
